setAdaptor

setAdaptor Utility

Description

This is a utility to support the configuration required for the xDS transport for bncs_csi. It can also be used for a similer purpose to set the network interface settings for DDS.

It is very much like the "setLana" utility used with previous versions of CSI - fundamentally to set the network adaptor used.

Configuration

xDS has its own configuration - and these are set in a single configuration file and are system-wide settings, held centrally and distributed/updated on workstation restart.

This is no good however for machine specific settings - where different hardware in the same role might have different configuration. It must therefore be set outside the normal BNCS file-structure.

So, like the setLana utility, setAdaptor stores local settings in the unimaginatively named "%CC_ROOT%\local_settings.ini" file. Note this is in the root folder for one (or more) BNCS systems, but not in any particular system.

[xDS]
bindAddress=192.168.1.176
Adaptor=ethernet_0

The two settings are:

Setting | Use
bindAddress | Used on the bind() call when setting up the network
Adaptor | internal name/id of the network adaptor to set for multicast

This utility shows both "human-readable" and internal name/id for the network adaptor.

Command Line

There are the following command line options

/ospl

Transfer the IP address to the DDS ospl config file so that the right bind address/network adaptor is used. The file adjusted is: %CC_ROOT%\%CC_SYSTEM%\config\dds\ospl.xml, and the value is a fixed path within that file.

/silent

If the current settings are ok, don't bother the user with a dialog, just exit and carry on

Version Control

Version | Date | Author | Comments
1.0.0.x |  | DY | Development versions
1.0.2.0 | 17/02/2021 | DY | CORE-330 Adds chm docs to the help button
Build: bncs_4.7.5 5800 a1b48197a Atos|Syntel © 2021